Subject: Re: policing

From: Lixia Zhang <[email-masked]>
Date: Sat, 8 Jul 1995 10:05:43 PDT

> Marking would be better and milder way to handle statistical overloads at 
> merge points.  In this case how will the "marked datagram" be handled in the
> network, in other words, what is the priority definition for the marked 
> datagram? 

you seem to have answered the question below yourself; marked packets
will be dropped first upon congestion.

> Introduction of "marking" would not mean any change of delay priority of the 
> datagram but the introduction of new priority class "loss tolerable class" 
> into the router network.  That means routers should install selective discard
> capabilities in addition to delay-based (guaranteed, predictive, etc.) buffer
> control capability.  
> For instance, a flow requesting guaranteed-delay service may have two loss 
> priority levels "intolerable" and "tolerable" because of marking.  When 
> congestion occurs, the intolerable datagram had better be discarded even when
> it is at the head of the output queue in order to assure delay quarity of
> other guaranteed-delay service flows.  Defining threshold at queue length and
> discarding arriving marked datagrams based on the queue length would not be 
> enough, since marked datagrams already in the queue before congestion occurs 
> may deteriorate the delay of arriving other guaranteed-delay service flows. 

couple of points here:
- the queue threshold can be based on some recent average rather than
  instant queue length, and should lead to better performance.

- You say "discarding arriving marked datagrams based on the queue
  length would not be enough" -- Could you quantify a bit more, how
  far is it from being "good enough"?

  As you pointed out later that more sophisticated dropping may
  require more complex buffer management (although others may have
  different opinion on this), we need to understand whether a simpler
  approach actually reaches 65% or 95% of the goal.

> Marking itself is not bad, but I am wondering about the increase of buffer 
> management cost and complexities in QoS estimation algorithms in addition. 

well, you either have an open loop control (i.e. all control functions
are based on specified/fixed parameters), or otherwise you need some
sort of QoS measurement/estimate to provide feedback/adjustment for
higher efficiency.
The choice is simple.
The claim of "complexity" need be better elaborated; I also believe
that's the part with plenty of ways to simplify.

Lixia